buildr-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stephen Bannasch <stephen.banna...@deanbrook.org>
Subject problems installing buildr JRuby trunk on MacOS 10.5.3
Date Sun, 29 Jun 2008 05:34:37 GMT
This is using trunk JRuby (r7043) which is now using rubygems 1.1.2

[jruby.git (work)]$ jruby -S gem install buildr
JRuby limited openssl loaded. gem install jruby-openssl for full support.
http://wiki.jruby.org/wiki/JRuby_Builtin_OpenSSL
ERROR:  Error installing buildr:
	buildr requires net-ssh (= 2.0.1, runtime)

# ok install net-ssh v2.0.1 manually ...

[jruby.git (work)]$ jruby -S gem install net-ssh -v2.0.1
JRuby limited openssl loaded. gem install jruby-openssl for full support.
http://wiki.jruby.org/wiki/JRuby_Builtin_OpenSSL
Successfully installed net-ssh-2.0.1
1 gem installed
Installing ri documentation for net-ssh-2.0.1...
Installing RDoc documentation for net-ssh-2.0.1...

# now try again ...

[jruby.git (work)]$ jruby -S gem install buildr
JRuby limited openssl loaded. gem install jruby-openssl for full support.
http://wiki.jruby.org/wiki/JRuby_Builtin_OpenSSL
ERROR:  Error installing buildr:
	buildr requires net-sftp (= 2.0.0, runtime)

# looks like it's going to do this for every dependency one at a time!

Mime
View raw message